<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/sales.php';
date_default_timezone_set('Asia/Rangoon');
session_start();
$database = new Database();
$db = $database->getConnection();
 
$sales = new Sales($db);
$data = json_decode(file_get_contents("php://input"));

// $ont->expire_date = $data->expire_date;   
// $sales->city = $_SESSION['city'];
$sales->id = $data->id;

$stmt = $sales->getList();
$num = $stmt->rowCount();

$arr=array();
$arr["records"]=array();


if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);

        // $invID = str_pad($id, 4, '0', STR_PAD_LEFT);


        $detail=array( 
            "id" => (int)$id,
            "sales_date" => ($sales_date)?$sales_date:"",
            "name" => ($name)?$name:"",
            "invoice_no" => ($invoice_no)?$invoice_no:"",
            "package" => ($package)?$package:"",
            "total_amount" => number_format($total_amount),
            "start_date" => ($start_date)?$start_date:"",
            "end_date" => ($end_date)?$end_date:"",
            "S_R" => ($S_R)?$S_R:"",
            "city" => $sales->city
			// "balance" => number_format($balance)
        );  
        array_push($arr["records"], $detail);
    }
}
echo json_encode($arr);
?>